Your message dated Fri, 02 Mar 2018 13:50:36 +0000
with message-id <e1erl52-000h3e...@fasolo.debian.org>
and subject line Bug#606638: fixed in subversion 1.10.0~rc1-2
has caused the Debian Bug report #606638,
regarding subversion-tools: svn_apply_autoprops misbehaves when passed --help
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
606638: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606638
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: subversion-tools
Version: 1.6.12dfsg-2
Severity: normal
Tags: upstream

Hi,

When invoked as "svn_apply_autoprops --help", svn_apply_autoprops does not
display help and exit, does not complain about unsupported commandline option
(that'd be another way to behave sane) but instead starts recursively
processing current working directory and subdirectories.  This violates the
Principle of Least Surprise.  The lack of a manpage for svn_apply_autoprops
makes it worse.

Please improve svn_apply_autoprops commandline processing.

Thanks, Bye,

Joost


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages subversion-tools depends on:
ii  subversion                  1.6.12dfsg-2 Advanced version control system

Versions of packages subversion-tools recommends:
ii  libconfig-inifiles-perl   2.52-1         Read .ini-style configuration file
ii  libsvn-perl               1.6.12dfsg-2   Perl bindings for Subversion
ii  liburi-perl               1.54-2         module to manipulate and access UR
ii  python-subversion         1.6.12dfsg-2   Python bindings for Subversion
ii  qmail-run [mail-transport 2.0.0+joostvb1 sets up qmail as mail-transfer-age
ii  rsync                     3.0.7-2        fast remote file copy program (lik
ii  xsltproc                  1.1.26-6       XSLT 1.0 command line processor

Versions of packages subversion-tools suggests:
pn  libsvn-ruby1.8                <none>     (no description available)

-- no debconf information

Attachment: signature.asc
Description: Digital signature


--- End Message ---
--- Begin Message ---
Source: subversion
Source-Version: 1.10.0~rc1-2

We believe that the bug you reported is fixed in the latest version of
subversion, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <james...@debian.org> (supplier of updated subversion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 02 Mar 2018 08:28:39 -0500
Source: subversion
Binary: subversion libsvn1 libsvn-dev libsvn-doc libapache2-mod-svn 
python-subversion subversion-tools libsvn-java libsvn-perl ruby-svn
Architecture: source
Version: 1.10.0~rc1-2
Distribution: experimental
Urgency: medium
Maintainer: James McCoy <james...@debian.org>
Changed-By: James McCoy <james...@debian.org>
Description:
 libapache2-mod-svn - Apache Subversion server modules for Apache httpd
 libsvn-dev - Development files for Apache Subversion libraries
 libsvn-doc - Developer documentation for libsvn
 libsvn-java - Java bindings for Apache Subversion
 libsvn-perl - Perl bindings for Apache Subversion
 libsvn1    - Shared libraries used by Apache Subversion
 python-subversion - Python bindings for Apache Subversion
 ruby-svn   - Ruby bindings for Apache Subversion
 subversion - Advanced version control system
 subversion-tools - Assorted tools related to Apache Subversion
Closes: 606638 867918 880593 883593
Changes:
 subversion (1.10.0~rc1-2) experimental; urgency=medium
 .
   * libsvn1.symbols: Use 1.10, not 1.10~rc1, for the new symbols
   * Mark libsvn-perl Multi-Arch: same
 .
 subversion (1.10.0~rc1-1) experimental; urgency=medium
 .
   * debian/control:
     + Actually drop quilt Build-Depends
     + Change Vcs-* to salsa.d.o
     + Declare compliance with Policy 4.1.3, no changes needed
     + Bump debhelper compat to 11
     + Switch default-jdk Build-Depends to headless variant
   * debian/rules:
     + Disable parallelization for local-install target
     + Avoid errors trying to delete RPATH from non-ELF files
     + Move install-related dh_* commands to the install targets
   * New upstream release
     + Fix spurious E160016 error with fsfs repository when operative and peg
       revisions differ.  (Closes: #880593)
     + Add liblz4-dev and libutf8proc-dev to Build-Depends
     + Remove ruby-typemap-digest patch, merged upstream
     + Remove no-extra-libs/no-extra-libs-2 patches, as they provided marginal
       benefit and were unnecessary divergence from upstream
     + Switch from libgnome-keyring to libsecret for GNOME keyring support
       (Closes: #867918)
     + Switch to KDE Frameworks 5 wallet support (Closes: #883593)
     + Update svn_load_dirs, emacs extensions, svn-clean, and
       svn_apply_autoprops from upstream's contrib/
       - svn_apply_autoprops now understands -h and --help (Closes: #606638)
   * Remove svn-fast-backup from subversion-tools.  It was removed upstream
     years ago and is unmaintained.
   * Update libsvn1.symbols for 1.10
   * Distribute NOTICE file to satisfy Apache license requirements
   * Fix ruby-script-but-no-ruby-dep lintian override by adding a wildcard to
     the end.
   * libsvn-doc: Use dh_installdocs instead of manual install commands
   * Turn libsvn-dev's /u/s/d/libsvn-dev → libsvn1 symlink into a directory
   * Turn libsvn-java's /u/s/d/libsvn-java → libsvn1 symlink into a directory
Checksums-Sha1:
 75538eb3fa02cbcb45ef5c9237a1037ce64c63fb 3461 subversion_1.10.0~rc1-2.dsc
 f16d5d7c1757c91edd4fd83738948a0a7baa68d5 11302308 
subversion_1.10.0~rc1.orig.tar.gz
 9bc5a8414179e27bd6d095e6f798e2e852f69bf7 4233 
subversion_1.10.0~rc1.orig.tar.gz.asc
 dcc54833055368bbaa64db76471fdec8880faab4 2267932 
subversion_1.10.0~rc1-2.debian.tar.xz
 53c1a82c2653e6f7f024410c4aef769759dd10c9 10196 
subversion_1.10.0~rc1-2_source.buildinfo
Checksums-Sha256:
 38c7f76a02cd0dea49ff0e8310e11554177e36440e72f28c48553aa6c2dba0d8 3461 
subversion_1.10.0~rc1-2.dsc
 4963512ddba2e308b297f1ffd17355a734a119b846c8f4ab5845ca110983f22c 11302308 
subversion_1.10.0~rc1.orig.tar.gz
 ac06d139c6c91b37f3f4b133d8203d2df78981e8c7ccf59c26e6709e59b566c6 4233 
subversion_1.10.0~rc1.orig.tar.gz.asc
 6784626b6ed3c6746c95ff5f7ae5a71ff18f63da938de5a8d0702e790d5c8117 2267932 
subversion_1.10.0~rc1-2.debian.tar.xz
 68adb3706111c2401c50d517587fce40228c1586d9ed262327af3f2ebe0e9b82 10196 
subversion_1.10.0~rc1-2_source.buildinfo
Files:
 b73300384e0755a676cbdf8b5b99a05d 3461 vcs optional subversion_1.10.0~rc1-2.dsc
 04a537b5eecd1fc8fb462a678c1dbc2d 11302308 vcs optional 
subversion_1.10.0~rc1.orig.tar.gz
 05aa48c4425e06fcf7c3c2e84dbdc436 4233 vcs optional 
subversion_1.10.0~rc1.orig.tar.gz.asc
 1938d79ff6081c33545b2bd58aa05d9c 2267932 vcs optional 
subversion_1.10.0~rc1-2.debian.tar.xz
 1eb3140a381b0d750d7b888d79d8ef02 10196 vcs optional 
subversion_1.10.0~rc1-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQKoBAEBCgCSFiEEkb+/TWlWvV33ty0j3+aRrjMbo9sFAlqZUuFfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDkx
QkZCRjRENjk1NkJENURGN0I3MkQyM0RGRTY5MUFFMzMxQkEzREIUHGphbWVzc2Fu
QGRlYmlhbi5vcmcACgkQ3+aRrjMbo9tXkBAAnUylBUHyvhwDZCcB4TJXcR4r6y7r
XO4Yh4AjyPJDeKnX5hUap1SNfVx3Bmbel+T15pJrnyDhEQx5jlRgTMbx3C1gvJI2
8cd9ZetZWIz+/jUlO+2amtedZauZdimbTVkEkDh3qQB2nCXFWRKbwb9P5d9PrObS
G1LnX+3Ym61mTnc172V3d1poKApq57RsLT+w48OUNCcARdVcEIlJ7PbQ7rQCgpi5
L5+KRug+bAqJELhIZymILJoKo61q+419NEKFmxwI+oO1ZVT80Z8PquqodmfQSjht
CCR7Aq5N7X8BfZggDaCzjfdHSyVkSmW3RIOIYdbzswtTZAypil66KSCRzHkQl0oZ
Gdh4/Ff62EA5vgyhbCiEHhMuHXKHExotfJwFfoaG/vSqfA5j2eAjSoEhJ5HcBOeH
Q7bEiIBplH02D5Q/QKGjLPjoVUJmc+LKgdtPH7OAgsZuLKjDY4ixI1lld5U9rWvn
dkuhGKDnLzV4uOZbi7rXUXm9bYT04ga7ANt82GIJNvOAND+SQXVuiV454ggY4mJk
aF4luVBvJSEo/QwbJ3/zP0AZEJ3zQWvXDlkG09b9d4RSeNmWUCpH6Px+oCR4tjE+
QGhDJ+S5NnasEmxJdyGfWC/u+/lEStWNhjPgEWnCUhmt9K/CaYlirN32NajZjOtB
C9fWioj7zvs6Bbk=
=3V8d
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to